package com.wd.workoffice.app;

import android.os.Bundle;

import com.wd.workoffice.util.WorkUtils;

import flexible.xd.android_base.base.ToolBarActivity;
import flexible.xd.android_base.mvpBase.BasePresenter;
import flexible.xd.android_base.mvpBase.IBaseView;
import me.jessyan.autosize.AutoSize;

/**
 * Created by flexible on 2018/6/6.
 */

public abstract class WorkToolBarActivity extends ToolBarActivity implements IBaseView {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override
    protected void onResume() {
        super.onResume();
        AutoSize.autoConvertDensity(this, 375, true);
        WorkUtils.addPermissionRule(getWindow().getDecorView());
    }


    @Override
    public void showLoading() {
        isLoad(true);
    }

    @Override
    public void hideLoading() {
        isLoad(false);
    }

    @Override
    public void onError(String message) {
        toast(message);
    }
}
